* {
  font-family: "lato", sans-serif;
  background: #1d2028;
  margin: 0;
}
.container_main {
  display: grid;
  grid-template-columns: 30% 70%;
  height: 100vh;
}
.container_aside {
  display: flex;
  flex-direction: column;
  place-items: center;
  justify-content: center;
  color: #ffe9ff;
}
.title {
  width: 70%;
}
.subtitle {
  font-size: 20px;
  color: #ffe9ff;
  width: 65%;
  margin-left: -40px;
}
.container_username {
  text-align: center;
  width: 50%;
  margin-left: -170px;
}
#username {
  height: 2rem;
  color: #ffe9ff;
  font-size: 1rem;
  text-align: center;
  border: none;
  border-bottom: 1px solid #ffe9ff;
  background-color: none;
}
#button_username {
  width: 36px;
  height: 34px;
  cursor: pointer;
  background-color: transparent;
  border-color: transparent;
  margin-top: 20px;
}
.container-card {
  display: flex;
  flex-direction: column;
  place-items: center;
  justify-content: center;
}
.main-card {
  font-size: 25px;
  background-color: rgb(8, 215, 163);
  background: linear-gradient(
    128deg,
    rgba(8, 215, 163, 1) 0%,
    rgba(79, 156, 200, 1) 50%,
    rgba(131, 110, 214, 1) 100%
  );
  width: 45%;
  height: 40%;
  border-radius: 30px;
}
.section-chip {
  margin: 5px auto 2px 12px;
  height: 20%;
  background-color: transparent;
}
.img-chip {
  width: 55px;
  height: 53px;
  background: none;
}
.section-validation {
  height: 60%;
  text-align: center;
  background-color: transparent;
}
#cardNumber {
  font-size: 30px;
  border: none;
  background-color: transparent;
  border-color: none;
  margin: 20px auto;
}
#cardNumber :hover {
  border: 1px solid #3c3c44;
}
#button-send {
  width: 30px;
  height: 30px;
  cursor: pointer;
  background-color: transparent;
  border-color: transparent;
}
.img-send {
  width: 30px;
  height: 27px;
  background: none;
}
#cover-numbers {
  margin: 10px 0;
  background-color: transparent;
}
.valid {
  color: #4adb82;
}
.invalid {
  color: #f56c72;
}
#validation {
  background-color: transparent;
  text-shadow: black 0.05em 0.05em 0.2em;
}
.section-footer-card {
  background-color: transparent;
  display: flex;
  justify-content: space-between;
  height: 15%;
  padding: 2px 10px;
}
#user_name {
  background-color: transparent;
  margin: 0 0 0 8px;
}
.img-mastercard {
  width: 70px;
  height: 45px;
  background: none;
  margin: 0 5px 0 0;
}
@media (max-width: 1200px) {
  .container_main {
    width: 100%;
    padding: 1em;
    display: flex;
    flex-direction: column;
    margin-top: 10%;
  }
  .container_aside {
    display: flex;
    flex-direction: column;
    text-align: center;
    color: #ffe9ff;
  }
  .container_username {
    text-align: center;
    width: 50%;
    margin-left: 17px;
  }
  .container-card {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 70%;
  }
  .main-card {
    font-size: 25px;
    background-color: rgb(8, 215, 163);
    background: linear-gradient(
      128deg,
      rgba(8, 215, 163, 1) 0%,
      rgba(79, 156, 200, 1) 50%,
      rgba(131, 110, 214, 1) 100%
    );
    width: 60%;
    border-radius: 30px;
  }
  .section-validation {
    height: 60%;
    text-align: center;
    background-color: transparent;
  }
  .section-footer-card {
    background-color: transparent;
    display: flex;
    justify-content: space-between;
  }
}
@media (max-width: 450px) {
  .container_username {
    text-align: center;
    width: 80%;
  }
  .main-card {
    font-size: 20px;
    width: 82%;
  }
  #cardNumber {
    font-size: 25px;
    border: none;
    background-color: transparent;
    border-color: none;
    margin: 20px auto;
  }
  .section-validation {
    height: 55%;
    width: 100%;
    text-align: center;
    background-color: transparent;
  }
}
